Bug 13731 - exportfs -a segfaults
exportfs -a segfaults
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2000-07-11 11:48 EDT by Pekka Pietikäinen
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-24 17:59:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pekka Pietikäinen 2000-07-11 11:48:05 EDT
When /etc/exports contains an IP address (instead of a hostname) exportfs
-a segfaults.

When ltracing it, one can see

        gethostbyname("")                      = 0x40134e44
        strlen(0x08052340, 4, 2, 4, 0x08052338)           = 11
        --- SIGSEGV (Segmentation fault) ---
        +++ killed by SIGSEGV +++
Comment 1 Glen Foster 2000-07-18 16:16:28 EDT
This defect is considered MUST-FIX for Winston Beta-5
Comment 2 Bill Nottingham 2000-07-22 18:26:18 EDT
Works for me. What does your /etc/exports look like?
Comment 3 Glen Foster 2000-07-24 17:59:25 EDT
We are unable to reproduce this behavior.  If you can still reproduce it, please
re-open this defect and submit a copy of your /etc/exports file for our
analysis.  Thanks.
Comment 4 Pekka Pietikäinen 2000-07-24 19:02:43 EDT
beta4 fixes this bug.

Note You need to log in before you can comment on or make changes to this bug.